package com.rjconsultores.ventaboletos.blocos.safra;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.enuns.Aceite;
import com.rjconsultores.ventaboletos.enuns.TipoInscricaoPagador;

public class DetalheObrigatorioSafra implements DetalheObrigatorio{
	
	private Integer idBoletoFechamento;
	private Integer cpfCnpj;
	private String numCpfCnpj;
	private String numAgencia;	
	private String numContaCorrente;
	private String digContaCorrente;	
	private String nossoNumero;
	private Date vencimento;
	private BigDecimal valor;
	private String agenciaCobradora;
	private String especieDeTitulo;
	private Aceite aceite;
	private Date dataEmissao;
	private String instrucao1;
	private String instrucao2;	
	private BigDecimal jurosDeMora;
	private Date dataMulta;
	private BigDecimal percMulta;
	private Date dataLimiteDesconto;
	private BigDecimal valorDesconto = BigDecimal.ZERO;
	private BigDecimal valorIOF = BigDecimal.ZERO;
	private BigDecimal valorAbatimentoConcedido = BigDecimal.ZERO;
	private TipoInscricaoPagador tipoInscricaoPagador;
	private String numeroInscricaoPagador;
	private String nomePagador;
	private String enderecoPagador;
	private String bairroPagador;
	private String mensagem1;
	private String cepPagador;
	private String cidadePagador;
	private String estadoPagador;
	private String sacadorAvalista;
	private Integer numeroSequencialRemessa; 
	private Integer numeroSequencialRegistro;
	
	public Integer getIdBoletoFechamento() {
		return idBoletoFechamento;
	}

	public void setIdBoletoFechamento(Integer idBoletoFechamento) {
		this.idBoletoFechamento = idBoletoFechamento;
	}

	public Integer getCpfCnpj() {
		return cpfCnpj;
	}

	public void setCpfCnpj(Integer cpfCnpj) {
		this.cpfCnpj = cpfCnpj;
	}
	
	public String getNumCpfCnpj() {
		return numCpfCnpj;
	}

	public void setNumCpfCnpj(String numCpfCnpj) {
		this.numCpfCnpj = numCpfCnpj;
	}

	public String getNumAgencia() {
		return numAgencia;
	}
	
	public void setNumAgencia(String numAgencia) {
		this.numAgencia = numAgencia;
	}
	
	public String getNumContaCorrente() {
		return numContaCorrente;
	}
	
	public void setNumContaCorrente(String numContaCorrente) {
		this.numContaCorrente = numContaCorrente;
	}
	
	public String getDigContaCorrente() {
		return digContaCorrente;
	}
	
	public void setDigContaCorrente(String digContaCorrente) {
		this.digContaCorrente = digContaCorrente;
	}
	
	public String getNossoNumero() {
		return nossoNumero;
	}
	
	public void setNossoNumero(String nossoNumero) {
		this.nossoNumero = nossoNumero;
	}
	
	public Date getVencimento() {
		return vencimento;
	}
	
	public void setVencimento(Date vencimento) {
		this.vencimento = vencimento;
	}
	
	public BigDecimal getValor() {
		return valor;
	}
	
	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}
	
	public String getAgenciaCobradora() {
		return agenciaCobradora;
	}
	
	public void setAgenciaCobradora(String agenciaCobradora) {
		this.agenciaCobradora = agenciaCobradora;
	}
	
	public String getEspecieDeTitulo() {
		return especieDeTitulo;
	}
	
	public void setEspecieDeTitulo(String especieDeTitulo) {
		this.especieDeTitulo = especieDeTitulo;
	}
	
	public Aceite getAceite() {
		return aceite;
	}
	
	public void setAceite(Aceite aceite) {
		this.aceite = aceite;
	}
	
	public Date getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(Date dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public String getInstrucao1() {
		return instrucao1;
	}
	
	public void setInstrucao1(String instrucao1) {
		this.instrucao1 = instrucao1;
	}
	
	public String getInstrucao2() {
		return instrucao2;
	}
	
	public void setInstrucao2(String instrucao2) {
		this.instrucao2 = instrucao2;
	}
	
	public BigDecimal getJurosDeMora() {
		return jurosDeMora;
	}
	
	public void setJurosDeMora(BigDecimal jurosDeMora) {
		this.jurosDeMora = jurosDeMora;
	}
	
	public Date getDataMulta() {
		return dataMulta;
	}

	public void setDataMulta(Date dataMulta) {
		this.dataMulta = dataMulta;
	}

	public BigDecimal getPercMulta() {
		return percMulta;
	}

	public void setPercMulta(BigDecimal percMulta) {
		this.percMulta = percMulta;
	}

	public Date getDataLimiteDesconto() {
		return dataLimiteDesconto;
	}
	
	public void setDataLimiteDesconto(Date dataLimiteDesconto) {
		this.dataLimiteDesconto = dataLimiteDesconto;
	}
	
	public BigDecimal getValorDesconto() {
		return valorDesconto;
	}
	
	public void setValorDesconto(BigDecimal valorDesconto) {
		this.valorDesconto = valorDesconto;
	}
	
	public BigDecimal getValorIOF() {
		return valorIOF;
	}
	
	public void setValorIOF(BigDecimal valorIOF) {
		this.valorIOF = valorIOF;
	}
	
	public BigDecimal getValorAbatimentoConcedido() {
		return valorAbatimentoConcedido;
	}
	
	public void setValorAbatimentoConcedido(BigDecimal valorAbatimentoConcedido) {
		this.valorAbatimentoConcedido = valorAbatimentoConcedido;
	}
	
	public TipoInscricaoPagador getTipoInscricaoPagador() {
		return tipoInscricaoPagador;
	}
	
	public void setTipoInscricaoPagador(TipoInscricaoPagador tipoInscricaoPagador) {
		this.tipoInscricaoPagador = tipoInscricaoPagador;
	}
	
	public String getNumeroInscricaoPagador() {
		return numeroInscricaoPagador;
	}
	
	public void setNumeroInscricaoPagador(String numeroInscricaoPagador) {
		this.numeroInscricaoPagador = numeroInscricaoPagador;
	}
	
	public String getNomePagador() {
		return nomePagador;
	}
	
	public void setNomePagador(String nomePagador) {
		this.nomePagador = nomePagador;
	}
	
	public String getEnderecoPagador() {
		return enderecoPagador;
	}
	
	public void setEnderecoPagador(String enderecoPagador) {
		this.enderecoPagador = enderecoPagador;
	}
	
	public String getBairroPagador() {
		return bairroPagador;
	}
	
	public void setBairroPagador(String bairroPagador) {
		this.bairroPagador = bairroPagador;
	}
	
	public String getMensagem1() {
		return mensagem1;
	}
	
	public void setMensagem1(String mensagem1) {
		this.mensagem1 = mensagem1;
	}
	
	public String getCepPagador() {
		return cepPagador;
	}
	
	public void setCepPagador(String cepPagador) {
		this.cepPagador = cepPagador;
	}
	
	public String getCidadePagador() {
		return cidadePagador;
	}
	
	public void setCidadePagador(String cidadePagador) {
		this.cidadePagador = cidadePagador;
	}
	
	public String getEstadoPagador() {
		return estadoPagador;
	}
	
	public void setEstadoPagador(String estadoPagador) {
		this.estadoPagador = estadoPagador;
	}
	
	public String getSacadorAvalista() {
		return sacadorAvalista;
	}
	
	public void setSacadorAvalista(String sacadorAvalista) {
		this.sacadorAvalista = sacadorAvalista;
	}
	
	public Integer getNumeroSequencialRemessa() {
		return numeroSequencialRemessa;
	}
	
	public void setNumeroSequencialRemessa(Integer numeroSequencialRemessa) {
		this.numeroSequencialRemessa = numeroSequencialRemessa;
	}
	
	public Integer getNumeroSequencialRegistro() {
		return numeroSequencialRegistro;
	}
	
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		this.numeroSequencialRegistro = numeroSequencialRegistro;
	}
	
}
