package com.rjconsultores.ventaboletos.blocos.sicoob;

import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;

public class DetalheObrigatorioDadosPagadorSicoob implements DetalheObrigatorio, Cloneable{

	
	private Integer loteServico;
	private Integer codigoRemessa;
	private Integer numSeqRegistro;
	private Integer tipoInscricaoSacado;
	private String numeroInscricaoSacado;
	private String nomeSacado;
	private String logradouroSacado;
	private String bairroSacado;
	private Integer cepSacado;
	private Integer sufixoCep;
	private String cidade;
	private String estado;
	private Integer tipoSacadorAvalista;
	private Integer sacadorAvalista;
	private String nomeSacadorAvalista;
	private Integer codBancoCorresp;
	private String nossoNumeroNoBancoCorresp;
	private Integer idBoletoFechamento;
	private String cveEstado;
	
	@Override
	public void setIdBoletoFechamento(Integer id) {
		idBoletoFechamento = id;	
	}
	
	@Override
	public Integer getIdBoletoFechamento() {
		return idBoletoFechamento;
	}
	
	@Override
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		numSeqRegistro = numeroSequencialRegistro;	
	}
	
	public Integer getNumeroSequencialRegistro() {
		return numSeqRegistro;	
	}

	public Integer getTipoInscricaoSacado() {
		return tipoInscricaoSacado;
	}

	public void setTipoInscricaoSacado(Integer tipoInscricaoSacado) {
		this.tipoInscricaoSacado = tipoInscricaoSacado;
	}

	public String getNumeroInscricaoSacado() {
		return numeroInscricaoSacado;
	}

	public void setNumeroInscricaoSacado(String numeroInscricaoSacado) {
		this.numeroInscricaoSacado = numeroInscricaoSacado;
	}

	public String getNomeSacado() {
		return nomeSacado;
	}

	public void setNomeSacado(String nomeSacado) {
		this.nomeSacado = nomeSacado;
	}

	public String getLogradouroSacado() {
		return logradouroSacado;
	}

	public void setLogradouroSacado(String logradouroSacado) {
		this.logradouroSacado = logradouroSacado;
	}

	public String getBairroSacado() {
		return bairroSacado;
	}

	public void setBairroSacado(String bairroSacado) {
		this.bairroSacado = bairroSacado;
	}

	public Integer getCepSacado() {
		return cepSacado;
	}

	public void setCepSacado(Integer cepSacado) {
		this.cepSacado = cepSacado;
	}

	public Integer getSufixoCep() {
		return sufixoCep;
	}

	public void setSufixoCep(Integer sufixoCep) {
		this.sufixoCep = sufixoCep;
	}

	public String getCidade() {
		return cidade;
	}

	public void setCidade(String cidade) {
		this.cidade = cidade;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public Integer getTipoSacadorAvalista() {
		return tipoSacadorAvalista;
	}

	public void setTipoSacadorAvalista(Integer tipoSacadorAvalista) {
		this.tipoSacadorAvalista = tipoSacadorAvalista;
	}

	public Integer getSacadorAvalista() {
		return sacadorAvalista;
	}

	public void setSacadorAvalista(Integer sacadorAvalista) {
		this.sacadorAvalista = sacadorAvalista;
	}

	public String getNomeSacadorAvalista() {
		return nomeSacadorAvalista;
	}

	public void setNomeSacadorAvalista(String nomeSacadorAvalista) {
		this.nomeSacadorAvalista = nomeSacadorAvalista;
	}

	public Integer getCodBancoCorresp() {
		return codBancoCorresp;
	}

	public void setCodBancoCorresp(Integer codBancoCorresp) {
		this.codBancoCorresp = codBancoCorresp;
	}

	public String getNossoNumeroNoBancoCorresp() {
		return nossoNumeroNoBancoCorresp;
	}

	public void setNossoNumeroNoBancoCorresp(String nossoNumeroNoBancoCorresp) {
		this.nossoNumeroNoBancoCorresp = nossoNumeroNoBancoCorresp;
	}

	public Integer getLoteServico() {
		return loteServico;
	}

	public void setLoteServico(Integer loteServico) {
		this.loteServico = loteServico;
	}

	public Integer getCodigoRemessa() {
		return codigoRemessa;
	}

	public void setCodigoRemessa(Integer codigoRemessa) {
		this.codigoRemessa = codigoRemessa;
	}

	public String getCveEstado() {
		return cveEstado;
	}

	public void setCveEstado(String cveEstado) {
		this.cveEstado = cveEstado;
	}
	
}
