package com.rjconsultores.ventaboletos.enuns;

public enum CarteiraSicoob {

	ELETRONICA_REGISTRO(1,"ELETRONICA COM REGISTRO"),
	CAUCIONADA_ELETRONICA(3,"CAUCIONADA ELETRONICA"),
	COBRANCA_SEM_REGISTRO(4,"COBRANCA SEM REGISTRO"),
	RAPIDA_COM_REGISTRO(5,"RAPIDA COM REGISTRO"), //(BLOQUETE EMITIDO PELO CLIENTE)
	CAUCIONADA_RAPIDA(6,"CAUCIONADA RAPIDA"),
	DESCONTADA_ELETRONICA(7,"DESCONTADA ELETRONICA");
	
	private CarteiraSicoob(Integer id, String label){
		this.id = id;
		this.label = label;
	}
	
	private Integer id;
	private String label;
	
	public Integer getId() {
		return id;
	}
	
	public String getLabel() {
		return label;
	}
	
	public static CarteiraSicoob getInstance(String id){
		
		for(CarteiraSicoob o : CarteiraSicoob.values()){
			
			if(o.getId().equals(id)){
				return o;
				
			}
		}
		
		return null;
		
	}
}
