package com.rjconsultores.ventaboletos.enuns;

public enum TipoInscricaoPagador {
	
	CPF("01"),
	CNPJ("02");

	private TipoInscricaoPagador(String id) {

		this.id = id;
	}
	
	private String id;
	
	
	public String getId() {
		return id;
	}
	
	@Override
	public String toString() {
		return getId();
	}
	
	public static TipoInscricaoPagador getInstanceById(String id){
		
		for (TipoInscricaoPagador o : values()) {
			if(o.getId().equalsIgnoreCase(id)){
				return o;
			}
			
		}
		
		return null;	
	}
	
	public static TipoInscricaoPagador getInstanceByName(String name){
		
		for (TipoInscricaoPagador o : values()) {
			if(o.name().equalsIgnoreCase(name)){
				return o;
			}
			
		}
		
		return null;	
	}

}
