package com.rjconsultores.ventaboletos;

import java.util.ArrayList;
import java.util.List;

import com.rjconsultores.ventaboletos.blocos.CabecalhoRetorno;
import com.rjconsultores.ventaboletos.blocos.DetalheRetorno;
import com.rjconsultores.ventaboletos.blocos.RodapeRetorno;

public class ArquivoRetornoItem implements ArquivoRetornoItemInteface, Cloneable {

	
	private CabecalhoRetorno cabecalhoRetorno;
	protected List<DetalheRetorno> titulos;
	protected RodapeRetorno rodapeRetorno;
	
	
	@Override
	public void setCabecalhoRetorno(CabecalhoRetorno cabecalhoRetorno) {
		this.cabecalhoRetorno = cabecalhoRetorno;
		
	}
	@Override
	public void addTitulo(DetalheRetorno titulo) {
		if(this.titulos == null){
			this.titulos = new ArrayList<DetalheRetorno>();
		}
		this.titulos.add(titulo);
		
	}
	@Override
	public void setRodapeRetorno(RodapeRetorno rodapeRetorno) {
		this.rodapeRetorno = rodapeRetorno;	
	}
	
	@Override
	public CabecalhoRetorno getCabecalhoRetorno() {
		return cabecalhoRetorno;
	}
	@Override
	public List<DetalheRetorno> getTitulos() {
		return titulos;
	}
	@Override
	public RodapeRetorno getRodapeRetorno() {
		return rodapeRetorno;
	}
}
